schedule function mcs_nether_mobs:main_code/1s 1s
#player
execute as @a at @s run function mcs_nether_mobs:player/1s
#soul_particle_mobs
execute as @e[type=#mcs_nether_mobs:has_soul_particles,tag=mcs_has_soul_particles] at @s run execute at @p[distance=..32] at @s run particle soul ~ ~1 ~ 0.5 0.5 0.5 0.01 8 normal
#soul_spirit_from_soul_blaze
execute as @e[type=vex,tag=mcs_soul_spirit,predicate=mcs_nether_mobs:chance/0.2] at @s run execute at @p[distance=..128] at @s run kill @s
#classic_endermite
execute as @e[type=silverfish,tag=mcs_classic_endermite] at @s run execute at @p[distance=..16] at @s run function mcs_nether_mobs:mobs/classic_endermite
#piglins
execute as @e[type=#mcs_nether_mobs:piglins,team=mcs_piglin,nbt=!{IsBaby:1b},predicate=mcs_nether_mobs:effects/on_fire,predicate=!mcs_nether_mobs:effects/fire_resistance] at @s run execute at @p[distance=..128] at @s run summon potion ~ ~1 ~ {Motion:[0.01,0.5,0.01],Item:{id:"minecraft:splash_potion",Count:1b,tag:{Potion:"minecraft:fire_resistance"}}}
#strider
execute as @e[type=strider,predicate=!mcs_nether_mobs:ignore_datapack_mobs] at @s run execute at @p[distance=..128] at @s run execute if block ~ ~-1 ~ #mcs_nether_mobs:cold_blocks at @s run damage @s 0.2 freeze
#nether_spawns
execute as @e[type=#mcs_nether_mobs:nether_spawn_mobs,predicate=mcs_nether_mobs:entities/nether_spawn_mobs,predicate=mcs_nether_mobs:the_nether,tag=!mcs_nether_mobs.spawned,predicate=!mcs_nether_mobs:ignore_datapack_mobs] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:natural_spawning/global
#blaze_knight
execute as @e[type=blaze,tag=!mcs_blaze_once,predicate=!mcs_nether_mobs:ignore_datapack_mobs] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/blaze/global
#zombified_piglin_once
execute as @e[type=zombified_piglin,tag=!mcs_zombified_piglin,predicate=!mcs_nether_mobs:ignore_datapack_mobs] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/zombified_piglin/global
#passive_mobs_despawn
execute as @e[type=#mcs_nether_mobs:passive_mobs,tag=mcs_nether_mobs.passive_mobs,nbt={PersistenceRequired:0b}] at @s run execute at @p[distance=..160] at @s run function mcs_nether_mobs:passive_mob_despawn/despawn_global
#nether_mooshrooms
execute as @e[type=mooshroom,tag=mcs_nether_mobs.breedable] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/animals/can_be_bred_global
#hellfire_wolf
execute as @e[type=wolf,tag=mcs_hellfire_wolf] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/hellfire_wolf/global
#nether_star
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star"}},nbt=!{NoGravity:1b}] at @s run execute at @p[distance=..128] at @s run data merge entity @s {NoGravity:1b,Glowing:1b,Invulnerable:1b}
#wither_boss
execute as @e[type=wither] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/wither/global_wither
#wither_fireball
execute as @e[type=fireball,tag=mcs_wither_fireball] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/wither/fireball/motion
#wither_skeleton
execute as @e[type=wither_skeleton] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/wither_skeleton/global_1s
#lost_soul
execute as @e[type=skeleton,tag=mcs_lost_soul] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/lost_soul/global
#magma_zombie
execute as @e[type=husk,tag=mcs_magma_zombie] at @s run execute at @p[distance=..128] at @s run function mcs_nether_mobs:mobs/magma_zombie/global